#!/bin/bash

# Prompt user for the prefix value
read -p "Enter the prefix for the URL: " prefix

# Array of IP addresses
IP_ADDRESSES=("92.123.74.30" "2.20.178.36" "184.150.165.4")

# Loop through each IP address and run ApacheBench
for IP in "${IP_ADDRESSES[@]}"; do
    echo "Testing $IP with prefix ${prefix}..."
    ab -n 200 -c 35 -H "Host: ${prefix}.gslab-juiceshop.com" http://$IP/
done